Skip site navigation (1) Skip section navigation (2)

Re: php no se conecta con pgsql

From: "PgRadar" <pgradar(at)radar(dot)com(dot)py>
To: "Edwin Quijada" <listas_quijada(at)hotmail(dot)com>, <lucas1850(at)gmail(dot)com>, <josemanuelruizbaena(at)gmail(dot)com>
Cc: <pgsql-es-ayuda(at)postgresql(dot)org>
Subject: Re: php no se conecta con pgsql
Date: 2009-06-23 16:02:26
Message-ID: 0A5000F525CE4326B32E0E6E24C834E2@toviedo (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
La mejor solución que encontré hasta ahora a esa situación que da mucho 
malestar con el PHP es:
incluir el archivo php_pgsql.dll en el directorio X:\PHP\

X:\PHP\php_pgsql.dll


La otra solución que te ofrece Edwin también es factible pero es más 
críptica desde mi punto de vista

Saludos


----- Original Message ----- 
From: "Edwin Quijada" <listas_quijada(at)hotmail(dot)com>
To: <lucas1850(at)gmail(dot)com>; <josemanuelruizbaena(at)gmail(dot)com>
Cc: <pgsql-es-ayuda(at)postgresql(dot)org>
Sent: Tuesday, June 23, 2009 11:16 AM
Subject: RE: [pgsql-es-ayuda] php no se conecta con pgsql


>
> revisa que tengas libpq en system32
>
>
>
> *-------------------------------------------------------*
> *-Edwin Quijada
> *-Developer DataBase
> *-JQ Microsistemas
>
> *-Soporte PostgreSQL
>
> *-www.jqmicrosistemas.com
> *-809-849-8087
> *-------------------------------------------------------*
>
>
>
>
>
>
>
> ________________________________
>> Date: Tue, 23 Jun 2009 09:39:48 -0400
>> Subject: Re: [pgsql-es-ayuda] php no se conecta con pgsql
>> From: lucas1850(at)gmail(dot)com
>> To: josemanuelruizbaena(at)gmail(dot)com
>> CC: pgsql-es-ayuda(at)postgresql(dot)org
>>
>> Hola que tal, gracias por responder,
>>
>> revisando el log de apache aparece:
>>
>> PHP Warning: PHP Startup: Unable to load dynamic library 
>> 'C:/Servidor/PHP/ext/php_pgsql.dll' - El sistema operativo no puede 
>> ejecutar %1.\r\n in Unknown on line 0
>>
>>
>> pero tengo el php_pgsql.dll en la carpeta ext,
>>
>> gracias de antemano por la ayuda,
>> saludos
>>
>> El 23 de junio de 2009 03:15, José Manuel Ruiz> escribió:
>>
>>
>>
>> El 23 de junio de 2009 00:14, Carlos Mendez> escribió:
>>
>>
>>
>> Hola como estan,
>>
>> estoy tratando de conectar php 5.2.9-2 y pgsql 8.3.7 pero al tratar de 
>> acceder la phppgadmin me sale el mensaje:
>> Su versión de PHP no tiene el soporte correcto de bases de datos.
>>
>> ya descomente el php_pgsql.dll pero no pasa nada antes se solucionaba 
>> adicionando una variable de entorno donde estaba el pgsql pero ahora ni 
>> con eso, cuando habilito otras extensiones como gd me aparecen en el 
>> phpinfo pero no el pgsql
>>
>>
>>
>> tengo win xp sp3, apache 2.63 open_ssl,
>>
>> cualquier ayuda sera bienvenida,
>> gracias de antemano,
>> saludos
>>
>>
>>
>> Además de descomentar "php_pgsql.dll" observa que está accesible para que 
>> apache pueda cargar la librería.
>>
>> Si te da muchos problemas y quieres una solución rápida XAMPP tiene un 
>> módulo de PostgreSQL, yo lo he probado en Linux y funciona perfecto. No 
>> sé si en M$ Window$ XP $P3 funcionará.
>>
>>
>>
>> --
>> "Comparte lo que sabes, aprende lo que no sepas"
>> Todo por el conocimiento libre
>>
>> Linux user number 441469
>>
>> Me gustaría cambiar el mundo, pero no tengo el código fuente !
>>
>> Me limito a dejar mi granito de arena en 
>> http://blog.josemanuelruizbaena.com
>>
>>
>>
>>
> _________________________________________________________________
> See how Windows® connects the people, information, and fun that are part 
> of your life
> http://clk.atdmt.com/MRT/go/119463819/direct/01/--
> TIP 9: visita nuestro canal de IRC #postgresql-es en irc.freenode.net
> 


In response to

Responses

pgsql-es-ayuda by date

Next:From: EspartanoDate: 2009-06-23 16:25:58
Subject: Re: Consulta compleja
Previous:From: Edwin QuijadaDate: 2009-06-23 15:16:44
Subject: RE: php no se conecta con pgsql

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group